# Uses of Class
org.jmol.viewer.ShapeManager

Packages that use ShapeManager
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.render
org.jmol.script
org.jmol.scriptext
org.jmol.viewer

## Uses of ShapeManager in org.jmol.api

Methods in org.jmol.api with parameters of type ShapeManager
Modifier and Type
Method
Description
`boolean`
JmolScriptEvaluator.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
`void`
JmolRepaintManager.`set(Viewer vwr, ShapeManager shapeManager)`

## Uses of ShapeManager in org.jmol.modelset

Fields in org.jmol.modelset declared as ShapeManager
Modifier and Type
Field
Description
`ShapeManager`
ModelSet.`sm`

## Uses of ShapeManager in org.jmol.render

Methods in org.jmol.render with parameters of type ShapeManager
Modifier and Type
Method
Description
`void`
RepaintManager.`set(Viewer vwr, ShapeManager shapeManager)`

## Uses of ShapeManager in org.jmol.script

Fields in org.jmol.script declared as ShapeManager
Modifier and Type
Field
Description
`ShapeManager`
ScriptEval.`sm`
Methods in org.jmol.script with parameters of type ShapeManager
Modifier and Type
Method
Description
`boolean`
ScriptEval.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
Constructors in org.jmol.script with parameters of type ShapeManager
Modifier
Constructor
Description
``
`ScriptProcessRunnable(ScriptParallelProcessor parallelProcessor, org.jmol.script.ScriptProcess process, Object lock, ShapeManager shapeManager)`

## Uses of ShapeManager in org.jmol.scriptext

Methods in org.jmol.scriptext with parameters of type ShapeManager
Modifier and Type
Method
Description
`boolean`
CmdExt.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
used for TRY command

## Uses of ShapeManager in org.jmol.viewer

Fields in org.jmol.viewer declared as ShapeManager
Modifier and Type
Field
Description
`ShapeManager`
Viewer.`shm`
Methods in org.jmol.viewer with parameters of type ShapeManager
Modifier and Type
Method
Description
`boolean`
Viewer.`evalParallel(ScriptContext context, ShapeManager shapeManager)`